##
##  cgiirc.config -- CGI:IRC Configuration
##

##
##  default settings on login form
##

default_server       = irc.example.com
default_port         = 6667
default_channel      = #example
default_name         = CGI:IRC User
default_nick         = CGI???
default_user         = cgiirc
#quit_message        = CGI:IRC
#quit_prefix         = CGI:IRC

##
##  system setup options
##

script_nph            = nph-irc.cgi
script_form           = client-perl.cgi
script_login          = irc.cgi
image_path            = images
socket_prefix         = /tmp/cgiirc-
irc charset           = ISO-8859-1
#vhost                = 0.0.0.0
#vhost6               = ::
#prefer_v6            = 0

##
##  access related settings
##

encoded_ip            = 3
#ip_access_file       = @l_prefix@/etc/cgiirc/ipaccess
max_users             = 20
allow_non_default     = 1
access_channel        = .*
access_server         = .*
access_port           = .*
access_command        = !quote
session_timeout       = 3600
#admin password       = 57I/Y3rCPImxA
#server_password      = cgiirc
#extra_userinfo       = 1
#realhost_as_password = 1
#dnsbl                = rbl.example.com
#form_redirect        = http://www.example.com/form.html

##
##  appearence settings
##

login basic           = Nickname, Channel, Server
login advanced        = Nickname, Realname, Channel, Server, Password, Format, Character set
format                = default
#output none          = raw 439, reply welcome, reply yourhost, reply created, reply myinfo, reply protoctl, raw 251, raw 252, raw 254, raw 255, raw 265, raw 266, looking up, connecting, reply motd start, reply motd end, reply names
#output active        = reply whois
#output status        = reply names
#removecolor          = 0
#linkshorten          = 120
#disable_format_input = 1

##
##  interface settings
##

#interface timestamp  = 1
#interface smilies    = 1
interface font        = monospace
#interface shownick   = 1
#interface scrollback = 1
#interface actsound   = 1
#interface joinsound  = 1

